<bugID>1070863<Summary>The preprocessed channel-prefs.js file needs to be the same for each build</Summary><Description>We don't update the channel-prefs.js file on app update though we do add it if it doesn't exist.

When it is preprocessed build specific info is left in the file such as the first line below:
//@line 2 "c:\builds\moz2_slave\m-cen-w32-ntly-000000000000000\build\browser\app\profile\channel-prefs.js"
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

pref("app.update.channel", "nightly");

This will break Mac v2 signing so it can't be present.</Description></bugID>